Subject: bug#36672: 27.0.50; NS build: Creating child frame leads to empty space

From: martin rudalics <[email-masked]>
Date: Fri, 13 Mar 2020 17:29:17 +0100

> On macOS the child windows move with the parent.

Good.

 > I thought GNUstep
 > worked that way too, but in my own experiments I can’t get them to
 > move at all, even with clicking in the windows like you’re doing.

Indeed.  What I tried was to move the child frame by dragging its mode
line.  What happens when you call (set-frame-position child-frame x y)
for a child frame and some values of x and y?

 > I just tried an ancient build and it doesn’t work there, so I guess
 > this has probably never worked right.
 >
 > I wonder if support is a WM thing?

Indirectly, maybe.  I have to try with window maker later.

Thanks, martin